Sign inGet started

Wallet Metrics

POST
/organizations/{organizationId}/reporting/accounting/wallets/{walletId}/usage
Fetch accounting usage per wallet-id
Corps de la requête
periodStart
string
obligatoire
periodEnd
string
obligatoire
periodGroup
string
obligatoire
Possible values: day, month
groupBy
array of string
Corps de la réponse
periodGroup
string
Possible values: day, month
dataColumns
array of string
obligatoire
results
array of object
Afficher les attributs enfants
results.periodDate
string
obligatoire
results.totalCharged
number
results.totalCount
integer
results.data
array of string
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/reporting/accounting/wallets/{walletId}/usage' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/reporting/accounting/wallets/{walletId}/usage/product/{productId}/details
Fetch accounting usage details per wallet-id
Corps de la requête
periodStart
string
obligatoire
periodGroup
string
obligatoire
Possible values: day, month
Corps de la réponse
periodStart
string
periodGroup
string
Possible values: day, month
dataColumns
array of string
obligatoire
results
array of object
Afficher les attributs enfants
results.periodDate
string
obligatoire
results.priceEach
number
results.totalCharged
number
results.totalCount
integer
results.data
array of string
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/reporting/accounting/wallets/{walletId}/usage/product/{productId}/details' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'